Skip to main content
GET
/
v3
/
orders
/
statistics
Get order statistics
curl --request GET \
  --url https://api.myscalev.com/v3/orders/statistics \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "count": 123,
      "custom_breakdown_id": 123,
      "custom_breakdown_name": "<string>",
      "day": "<string>",
      "gross_revenue": 123,
      "month": "<string>",
      "status": "draft",
      "week": "<string>"
    }
  ],
  "is_paginated": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

datetime_type
enum<string>
default:created_at

Type of datetime for statistics (defaults to 'created_at')

Available options:
draft_time,
pending_time,
confirmed_time,
in_process_time,
ready_time,
canceled_time,
shipped_time,
shipped_rts_time,
completed_time,
rts_time,
closed_time
tz
string
default:Asia/Jakarta

Timezone for datetime adjustment (defaults to 'Asia/Jakarta')

breakdown_date
enum<string>
default:off

Date breakdown for statistics (defaults to 'off')

Available options:
off,
day,
week,
month
is_breakdown_status
enum<string>
default:false

Include breakdown by order status (defaults to 'false')

Available options:
true,
false
custom_breakdown_key
enum<string>
default:off

Custom breakdown key for statistics (defaults to 'off')

Available options:
off,
handler_id,
advertiser_id,
page_id,
city,
province
minimum_days
integer
default:0

Minimum number of days for statistics (defaults to 0)

status
string

Filter by order status

payment_status
string

Filter by payment status

business_id
string

Filter by business ID

store_id
string

Filter by store ID

shipped_time_since
string<datetime>

Filter by shipped time since (ISO 8601 format)

shipped_time_until
string<datetime>

Filter by shipped time until (ISO 8601 format)

Response

Order statistics with breakdown

Paginated list payload for v3.

data
object[]
required
is_paginated
enum<boolean>
required
Available options:
true
Example:

true